Download it now!
Bug 130640 (regressions-printable-page-borders) - [META] Regressions introduced by printable page borders also initially visible
Summary: [META] Regressions introduced by printable page borders also initially visible
Status: RESOLVED FIXED
Alias: regressions-printable-page-borders
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.4.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.0.0 target:6.4.1
Keywords:
Depends on: 124983 128873 130412 130437 130556 130584
Blocks:
  Show dependency treegraph
 
Reported: 2020-02-13 15:52 UTC by Xisco Faulí
Modified: 2020-02-16 13:11 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Xisco Faulí 2020-02-13 16:00:12 UTC
ESC discussion:

       + Print a calc document is hanging in LO 6.4 (print ranges) (gen)
           + https://bugs.documentfoundation.org/show_bug.cgi?id=130412
           + Ilhan?
             + a colleague of mine (Michael W)
           + should we just revert this for now? (Eike)
             + no problem, could be reverted for now (Michael W)
AI:              + revert on master + backport to have it in 6.4.1 (Xisco)
Comment 2 Commit Notification 2020-02-13 19:25:49 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/c4281cb41e6b76cabd5fe42fc707877e864dfb82

tdf#130640: Revert "tdf#124983 In calc make printable page...

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2020-02-14 15:51:03 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/b3e302b98dd7b992b7aa5a7f6756980d3edafc83

tdf#130640: Revert "tdf#124983 In calc make printable page...

It will be available in 6.4.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2020-02-16 13:01:08 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "libreoffice-6-4-1":

https://git.libreoffice.org/core/commit/668cb9794ffb2cab5bad9ea0174c03adc7f88f8b

tdf#130640: Revert "tdf#124983 In calc make printable page...

It will be available in 6.4.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.